com::lomiri::location::units Namespace Reference

## Typedefs

typedef boost::units::degree::plane_angle | PlaneAngle
typedef boost::units::gradian::plane_angle | Gradians
typedef boost::units::si::length | Length
typedef boost::units::si::velocity | Velocity
template<typename Unit>
using | Quantity = boost::units::quantity<Unit, double>
typedef boost::units::si::dimensionless | Dimensionless

## Functions

template<typename Unit>
bool | roughly_equals (const Quantity< Unit > &lhs, const Quantity< Unit > &rhs)

## Variables

static const PlaneAngle | Degree
static const PlaneAngle | Degrees
static const Length | Meter
static const Length | Meters
static const Velocity | MeterPerSecond
static const Velocity | MetersPerSecond

## Typedef Documentation

## Dimensionless

typedef boost::units::si::dimensionless com::lomiri::location::units::Dimensionless

Definition at line 62 of file units.h.

## Gradians

typedef boost::units::gradian::plane_angle com::lomiri::location::units::Gradians

Definition at line 47 of file units.h.

## Length

typedef boost::units::si::length com::lomiri::location::units::Length

Definition at line 49 of file units.h.

## PlaneAngle

typedef boost::units::degree::plane_angle com::lomiri::location::units::PlaneAngle

Definition at line 44 of file units.h.

## Quantity

template<typename Unit>

using com::lomiri::location::units::Quantity = boost::units::quantity<Unit, double>

Definition at line 60 of file units.h.

## Velocity

typedef boost::units::si::velocity com::lomiri::location::units::Velocity

Definition at line 55 of file units.h.

## Function Documentation

## roughly_equals()

template<typename Unit>

bool com::lomiri::location::units::roughly_equals | ( | const Quantity< Unit > & | lhs,
|  | const Quantity< Unit > & | rhs )

inline

Definition at line 69 of file units.h.

Referenced by com::lomiri::location::SpaceVehicle::operator==().

## Variable Documentation

## Degree

const PlaneAngle com::lomiri::location::units::Degree

static

Definition at line 45 of file units.h.

## Degrees

const PlaneAngle com::lomiri::location::units::Degrees

static

Definition at line 46 of file units.h.

## Meter

const Length com::lomiri::location::units::Meter

static

Definition at line 50 of file units.h.

## MeterPerSecond

const Velocity com::lomiri::location::units::MeterPerSecond

static

Definition at line 56 of file units.h.

## Meters

const Length com::lomiri::location::units::Meters

static

Definition at line 51 of file units.h.

## MetersPerSecond

const Velocity com::lomiri::location::units::MetersPerSecond

static

Definition at line 57 of file units.h.